//***************************************************************************
// This source code is copyrighted 2002 by Google Inc.  All rights
// reserved.  You are given a limited license to use this source code for
// purposes of participating in the Google programming contest.  If you
// choose to use or distribute the source code for any other purpose, you
// must either (1) first obtain written approval from Google, or (2)
// prominently display the foregoing copyright notice and the following
// warranty and liability disclaimer on each copy used or distributed.
// 
// The source code and repository (the "Software") is provided "AS IS",
// with no warranty, express or implied, including but not limited to the
// implied warranties of merchantability and fitness for a particular
// use.  In no event shall Google Inc. be liable for any damages, direct
// or indirect, even if advised of the possibility of such damages.
//***************************************************************************


#ifndef _CONTENT_TYPE_H
#define _CONTENT_TYPE_H

enum ContentType {         
  CONTENT_FIRST_TYPE,
  CONTENT_GOOGLE_ERROR = 0,         // Initialization value, never used
  CONTENT_GOOGLE_EMPTY,             // empty page
  CONTENT_GOOGLE_OTHER,             // not one of the types below
  CONTENT_TEXT_HTML,
  CONTENT_TEXT_PLAIN,
  CONTENT_APPLICATION_POSTSCRIPT,
  CONTENT_APPLICATION_PDF,
  CONTENT_TEXT_WML,
  CONTENT_GOOGLE_WHITEPAGE,
  CONTENT_TEXT_HDML,
  CONTENT_TEXT_PDF,
  CONTENT_GOOGLE_USENET,
  CONTENT_IMAGE,
  CONTENT_IMAGE_THUMBNAIL,
  CONTENT_AUDIO_MP3,
  CONTENT_TEXT_POSTSCRIPT,
  CONTENT_APPLICATION_MSWORD,
  CONTENT_TEXT_MSWORD,
  CONTENT_APPLICATION_MS_POWERPOINT,
  CONTENT_TEXT_MS_POWERPOINT,
  CONTENT_APPLICATION_RTF,
  CONTENT_TEXT_RTF,
  CONTENT_APPLICATION_MS_EXCEL,
  CONTENT_TEXT_MS_EXCEL,
  CONTENT_TEXT_OTHER,
  CONTENT_APPLICATION_XSHOCKWAVEFLASH,
  CONTENT_TEXT_XSHOCKWAVEFLASH,
  CONTENT_APPLICATION_XGZIP,
  CONTENT_NUM_TYPES
};

#endif
